## poxml 4.13.0

=== CMakeLists.txt ===
project(poxml)

# search packages used by KDE
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIR})

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules )

set(HAVE_ANTLR FALSE)

macro_optional_find_package(Antlr2)
if (ANTLR2_FOUND AND ANTLR2_EXECUTABLE)
  set(HAVE_ANTLR TRUE)
endif (ANTLR2_FOUND AND ANTLR2_EXECUTABLE)
macro_log_feature(HAVE_ANTLR "Antlr" "Language tool for constructing recognizers, compilers, etc" "http://www.antlr2.org/" FALSE "2.x" "Used for the po2xml and swappo tools.")

macro_optional_find_package(Gettext)

add_subdirectory( doc )
########### next target ###############

set(split2po_SRCS split.cpp parser.cpp)


kde4_add_executable(split2po ${split2po_SRCS})

target_link_libraries(split2po ${QT_QTXML_LIBRARY} ${QT_QTCORE_LIBRARY})

install(TARGETS split2po  ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

set(xml2pot_SRCS xml2pot.cpp parser.cpp)


kde4_add_executable(xml2pot ${xml2pot_SRCS})

target_link_libraries(xml2pot ${QT_QTXML_LIBRARY} ${QT_QTCORE_LIBRARY})

install(TARGETS xml2pot  ${INSTALL_TARGETS_DEFAULT_ARGS})

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${KDE4_ENABLE_EXCEPTIONS}")


########### next target ###############

if (HAVE_ANTLR)

add_custom_command(
   OUTPUT GettextLexer.cpp GettextLexer.hpp
          GettextParser.cpp GettextParser.hpp
          GettextParserTokenTypes.hpp GettextParserTokenTypes.txt
   COMMAND ${ANTLR2_EXECUTABLE}
   ARGS -o ${CMAKE_CURRENT_BINARY_DIR} gettext.g
   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/gettext.g
   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)


set(po2xml_SRCS
   ${CMAKE_CURRENT_BINARY_DIR}/GettextLexer.cpp
   ${CMAKE_CURRENT_BINARY_DIR}/GettextParser.cpp
   po2xml.cpp
   parser.cpp)


kde4_add_executable(po2xml ${po2xml_SRCS})

target_link_libraries(po2xml ${ANTLR2_LIBRARIES} ${QT_QTXML_LIBRARY} ${QT_QTCORE_LIBRARY})

install(TARGETS po2xml  ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

set(swappo_SRCS
   ${CMAKE_CURRENT_BINARY_DIR}/GettextLexer.cpp
   ${CMAKE_CURRENT_BINARY_DIR}/GettextParser.cpp
   swappo.cpp
   parser.cpp)


kde4_add_executable(swappo ${swappo_SRCS})

target_link_libraries(swappo ${ANTLR2_LIBRARIES} ${QT_QTXML_LIBRARY} ${QT_QTCORE_LIBRARY})

install(TARGETS swappo  ${INSTALL_TARGETS_DEFAULT_ARGS})


add_custom_target(parser
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/GettextParser.cpp
)

endif (HAVE_ANTLR)


add_subdirectory(tests)

=== tests/CMakeLists.txt ===

set(lauri_xml "${CMAKE_CURRENT_SOURCE_DIR}/lauri.xml")

if (HAVE_ANTLR AND GETTEXT_FOUND)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/lauri.pot
  COMMAND checkXML ${lauri_xml}
  COMMAND xml2pot ${lauri_xml} > lauri.pot
  COMMAND msgmerge -o lauri.pot lauri.pot lauri.pot
  DEPENDS ${lauri_xml}
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/lauri.po
  COMMAND msgmerge -o lauri.po ${CMAKE_CURRENT_SOURCE_DIR}/lauri.po lauri.pot
  COMMAND msgfmt --statistics lauri.po -o /dev/null
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/lauri.po
          ${CMAKE_CURRENT_BINARY_DIR}/lauri.pot
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/lauri_de.xml
  COMMAND po2xml ${lauri_xml} lauri.po | sed -e "s,<!ENTITY % English,<!ENTITY % German," > lauri_de.xml
  DEPENDS ${lauri_xml}
          ${CMAKE_CURRENT_BINARY_DIR}/lauri.po
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
  VERBATIM
)

add_custom_target(tests-data ALL
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/lauri_de.xml
)

add_test(
  NAME lauri_de
  COMMAND checkXML lauri_de.xml
  WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)

endif ()

## poxml 4.11.2

=== debian/changelog ===
poxml (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 15:00:32 +0100

poxml (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:44:45 +0100

poxml (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:44:38 +0100

poxml (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:13:05 +0100

poxml (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 15 Jul 2013 10:52:44 +0100

poxml (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream bet release

  [ Philip Muškovac ]
  * Add debian/not-installed for compressed manpages

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:35:39 +0100

poxml (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Initial package, split from poxml
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 02:41:34 +0100

=== debian/control ===
Source: poxml
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2),
 libantlr-dev, antlr, default-jre-headless
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/poxml
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/poxml

Package: poxml
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

Package: poxml-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Suggests: poxml (= ${source:Version})
Description: debugging symbols for poxml
 This package contains debugging files used to investigate problems with
 binaries included in poxml.

## poxml 4.11.3

=== debian/changelog ===
poxml (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 14:25:46 +0100

poxml (4:4.11.2-1) experimental; urgency=low

  * First release of kdesdk after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 10:58:34 +0200

=== debian/control ===
Source: poxml
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.11),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11),
 libantlr-dev,
 antlr
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/poxml.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/poxml.git

Package: poxml
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

## poxml 4.13.0

=== debian/changelog ===
poxml (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:32:31 +0100

poxml (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:59:07 +0200

poxml (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:59:40 +0100

poxml (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:08:48 +0000

poxml (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:20:16 +0100

poxml (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:34:51 +0000

poxml (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:49:37 +0000

poxml (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:51:22 +0000

poxml (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:49:47 +0000

poxml (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:43:47 +0100

poxml (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:03:36 +0100

=== debian/control ===
Source: poxml
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.13.0),
 libantlr-dev, antlr, default-jre-headless
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/poxml
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/poxml

Package: poxml
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

Package: poxml-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Suggests: poxml (= ${source:Version})
Description: debugging symbols for poxml
 This package contains debugging files used to investigate problems with
 binaries included in poxml.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=poxml-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/poxml-([\d\.]*).tar.xz

## poxml 4.14.0

=== debian/changelog ===
poxml (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 18:37:46 +0200

poxml (4:4.11.3-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtests.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Apr 2014 11:21:05 +0200

=== debian/control ===
Source: poxml
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: antlr,
               cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev (>= 4:4.11),
               libgettextpo-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/poxml.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/poxml.git

Package: poxml
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/poxml-([\d\.]*).tar.xz

## poxml 4.14.1

=== debian/changelog ===
poxml (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 18:00:58 +0200

poxml (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:44:33 +0200

poxml (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:35:56 +0200

poxml (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:56:44 +0200

poxml (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release
  * Add missing depend on gettextpo.

  [ Jonathan Riddell ]
  * add not-installed file

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 16:44:26 -0700

poxml (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:42:04 +0100

poxml (4:4.11.3-2) UNRELEASED; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtests.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Feb 2014 14:04:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: poxml
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -11,14 +12,17 @@
                cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.11),
-               libgettextpo-dev,
-               pkg-kde-tools (>= 0.12)
+               kdelibs5-dev (>= 4:4.14.1),
+               libantlr-dev,
+               pkg-kde-tools (>= 0.12),
+               libgettextpo-dev
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/poxml.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/poxml.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/poxml
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/poxml
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/poxml.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/poxml.git
 
 Package: poxml
 Architecture: any

## poxml 4.14.2

=== debian/changelog ===
poxml (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 17:11:31 +0200

poxml (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:49:00 -0700

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.14.2),
                libantlr-dev,
                pkg-kde-tools (>= 0.12),
                libgettextpo-dev

## poxml 14.12.3

=== debian/changelog ===
poxml (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:59:10 -0700

poxml (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:52:02 -0800

poxml (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:19:57 +0100

poxml (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Merge with Debian, remaining changes:
   - not-installed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:53 +0100

poxml (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:49:00 -0700

=== debian/control ===
Source: poxml
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: antlr,
               cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev,
               libgettextpo-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/poxml.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/poxml.git

Package: poxml
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

## poxml 15.08.2

=== debian/changelog ===
poxml (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 13:05:50 +0100

poxml (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:46:10 +0100

poxml (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 18:21:13 +0100

poxml (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 12:32:25 +0100

poxml (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 22:42:40 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                kdelibs5-dev,
                libgettextpo-dev,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/poxml.git/

## poxml 15.12.3

=== debian/changelog ===
poxml (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:28:53 -0700

poxml (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merged with Debian 
  * Adding required build-dependencies
  * Bumped /usr/share/pkg-kde-tools/qt-kde-team/2 to 3

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:34:53 +0100

poxml (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:48 +0100

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: antlr,
-               cmake,
+               cmake (>= 2.8.12~),
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev,
+               extra-cmake-modules (>= 1.7.0~),
+               kdoctools-dev,
                libgettextpo-dev,
-               pkg-kde-tools (>= 0.12)
+               pkg-kde-tools (>= 0.12),
+               qtbase5-dev
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/poxml.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/poxml.git

## poxml 16.08.0

=== debian/changelog ===
poxml (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - remove poxml.install, no more used now
  * Remove not-installed file, no more needed now.
  * Remove unused antlr build dependency.

 -- Pino Toscano <pino@debian.org>  Sun, 28 Aug 2016 08:08:59 +0200

poxml (4:15.12.0-3) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 23:54:37 +0200

poxml (4:15.12.0-2) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update vcs uris to the applications one

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 May 2016 22:14:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: poxml
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: antlr,
-               cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 1.7.0~),
                kdoctools-dev,
                libgettextpo-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/poxml.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/poxml.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/poxml.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/poxml.git
 
 Package: poxml
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/poxml-([\d.]+).tar.xz

## poxml 16.12.3

=== debian/changelog ===
poxml (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:28:39 +0000

poxml (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:17:16 +0000

poxml (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:47:26 +0200

## poxml 17.04.3

=== debian/changelog ===
poxml (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:32:41 +0100

## poxml 17.08.3

=== debian/changelog ===
poxml (4:17.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 12:09:21 +0800

poxml (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Maximiliano Curia ]
  * Bump kde-l10n breaks/replaces versions
  * Update uploaders list as requested by MIA team (Closes: #879423)

  [ Pino Toscano ]
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will drop
    translations.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Nov 2017 12:54:00 +0100

poxml (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Add breaks/replaces against the kde-l10n packages
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 13 Sep 2017 15:44:19 +0200

poxml (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:06:55 +0000

poxml (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:46:25 +0000

poxml (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:26:57 +0000

poxml (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:25:20 +0000

poxml (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:29:32 +0000

poxml (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:05:25 +0000

poxml (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:52:00 +0000

poxml (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:05:39 +0000

poxml (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:27:28 +0000

poxml (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:34:07 +0000

poxml (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:55:31 +0000

poxml (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:42:01 +0000

poxml (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:55 +0000

poxml (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:51:11 +0000

poxml (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 10:30:20 +0000

poxml (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Jul 2016 15:03:43 +0000

=== debian/control ===
Source: poxml
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.7.0~),
               libgettextpo-dev,
               libkf5doctools-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/poxml.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/poxml.git

Package: poxml
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-3~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

## poxml 17.12.3

=== debian/changelog ===
poxml (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:34:31 +0000

poxml (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:03:36 +0000

poxml (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:14:04 +0000

=== debian/control ===
Source: poxml
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: antlr,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgettextpo-dev,
               libkf5doctools-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/poxml
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/poxml

Package: poxml
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/poxml-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/poxml-([\d.]+).tar.xz

## poxml 18.04.3

=== debian/changelog ===
poxml (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:24:20 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libgettextpo-dev,
                libkf5doctools-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/poxml

## poxml 18.12.3

=== debian/changelog ===
poxml (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:35:53 +0000

poxml (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:22:51 +0000

poxml (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:16:09 +0000

poxml (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:54:25 +0000

poxml (4:18.08.3-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (18.08.0)
  * New upstream release (18.08.3)

  [ José Manuel Santamaría Lema ]
  * Merge with debian

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 26 Dec 2018 16:35:40 +0000

## poxml 19.04.3

=== debian/changelog ===
poxml (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:21:32 +0100

poxml (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:17:22 +0100

poxml (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:05:01 +0100

poxml (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:50:17 +0100

=== debian/control ===
Source: poxml
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgettextpo-dev,
               libkf5doctools-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 4.1.1
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/poxml
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/poxml

Package: poxml
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

## poxml 19.12.3

=== debian/changelog ===
poxml (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:18:33 +0000

poxml (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:27:19 +0000

poxml (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:01:45 +0000

poxml (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:55:22 +0000

poxml (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:39:59 +0000

poxml (4:19.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Switch Vcs-* fields to salsa.debian.org.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 18 Oct 2019 15:47:37 +0200

=== debian/control ===
Source: poxml
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 1.7.0~),
               libgettextpo-dev,
               libkf5doctools-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
Standards-Version: 4.4.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/poxml
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/poxml.git

Package: poxml
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

## poxml 20.08.1

=== debian/changelog ===
poxml (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:03:17 +0100

poxml (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:54:09 +0100

poxml (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Aug 2020 09:17:32 +0200

poxml (4:19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Enable all the reprotest variations in the salsa CI.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Jan 2020 16:35:53 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 1.7.0~),
                libgettextpo-dev,
                libkf5doctools-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/poxml
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/poxml.git

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-3~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## poxml 20.12.0

=== debian/changelog ===
poxml (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed George Kiagiadakis, Maximiliano Curia, Modestas Vainius from
    the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 28 Dec 2020 23:33:01 +0100

=== debian/control ===
Source: poxml
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.7.0~),
               libgettextpo-dev,
               libkf5doctools-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/sdk/poxml
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/poxml
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/poxml.git

Package: poxml
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tools for translating DocBook XML files with Gettext
 This is a collection of tools that facilitate translating DocBook XML
 files using Gettext message files (PO files).
 .
 Also included are several command-line utilities for manipulating DocBook XML
 files, PO files and PO template files.
 .
 This package is part of the KDE Software Development Kit module.

## poxml 20.12.3

=== debian/changelog ===
poxml (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:30:36 +0000

poxml (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:03:55 +0000

poxml (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:16:35 +0000

## poxml 21.08.0

=== debian/changelog ===
poxml (4:21.08.0-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:15:58 +0800

poxml (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:41:04 +0900

poxml (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 23:00:19 +0900

## poxml 21.08.1

=== debian/changelog ===
poxml (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:42:10 +0100

poxml (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:12:09 +0100

poxml (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:06:51 +0100

poxml (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:40:26 +0100

poxml (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:53:27 +0100

poxml (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:51:07 +0100

poxml (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:17:25 +0100

poxml (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:49:04 +0100
